Package org.apache.sling.testing.clients.interceptors

# Class UserAgentHolder

java.lang.Object
org.apache.sling.testing.clients.interceptors.UserAgentHolder

public class UserAgentHolder extends Object

## Method Summary

Modifier and Type
Method
Description
`static String`
`get()`
Returns the current user-agent.
`static void`
`reset()`
Remove value of the user-agent
`static void`
`set(String agent)`
Override the current user-agent with a completely new one.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### get

public static String get()
Returns the current user-agent.

Returns:
  the current user-agent

### set

public static void set(String agent)
Override the current user-agent with a completely new one.

Parameters:
  `agent` - the desired new user-agent (or null for default)

### reset

public static void reset()
Remove value of the user-agent